## UDisksManager UDisksManager — Generated C code for the org.freedesktop.UDisks2.Manager D-Bus interface |

## Functions

GDBusInterfaceInfo * | udisks_manager_interface_info ()
guint | udisks_manager_override_properties ()
const gchar * | udisks_manager_get_version ()
gchar * | udisks_manager_dup_version ()
void | udisks_manager_set_version ()
void | udisks_manager_call_loop_setup ()
gboolean | udisks_manager_call_loop_setup_finish ()
gboolean | udisks_manager_call_loop_setup_sync ()
void | udisks_manager_complete_loop_setup ()
void | udisks_manager_call_mdraid_create ()
gboolean | udisks_manager_call_mdraid_create_finish ()
gboolean | udisks_manager_call_mdraid_create_sync ()
void | udisks_manager_complete_mdraid_create ()
void | udisks_manager_proxy_new ()
UDisksManager * | udisks_manager_proxy_new_finish ()
UDisksManager * | udisks_manager_proxy_new_sync ()
void | udisks_manager_proxy_new_for_bus ()
UDisksManager * | udisks_manager_proxy_new_for_bus_finish ()
UDisksManager * | udisks_manager_proxy_new_for_bus_sync ()
UDisksManager * | udisks_manager_skeleton_new ()
void | udisks_manager_call_enable_modules ()
gboolean | udisks_manager_call_enable_modules_finish ()
gboolean | udisks_manager_call_enable_modules_sync ()
void | udisks_manager_complete_enable_modules ()

## Properties

GStrv | supported-filesystems | Read / Write
gchar * | version | Read / Write

## Signals

gboolean | handle-enable-modules | Run Last
gboolean | handle-loop-setup | Run Last
gboolean | handle-mdraid-create | Run Last

## Types and Values

| UDisksManager
struct | UDisksManagerIface
struct | UDisksManagerProxy
struct | UDisksManagerProxyClass
struct | UDisksManagerSkeleton
struct | UDisksManagerSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksManager
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── UDisksManagerSkeleton
        │       ╰── UDisksLinuxManager
        ╰── GDBusProxy
            ╰── UDisksManagerProxy

## Prerequisites

UDisksManager requires GObject.

## Implemented Interfaces

UDisksManagerProxy implements GDBusInterface, GInitable, GAsyncInitable and UDisksManager.

UDisksManagerSkeleton implements GDBusInterface and UDisksManager.

## Known Implementations

UDisksManager is implemented by UDisksLinuxManager, UDisksManagerProxy and UDisksManagerSkeleton.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Manager D-Bus interface in C.

## Functions

### udisks_manager_interface_info ()

    GDBusInterfaceInfo *
    udisks_manager_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.Manager D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### udisks_manager_override_properties ()

    guint
    udisks_manager_override_properties (GObjectClass *klass,
                                        guint property_id_begin);

Overrides all GObject properties in the UDisksManager interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### udisks_manager_get_version ()

    const gchar *
    udisks_manager_get_version (UDisksManager *object);

Gets the value of the "Version" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_manager_dup_version()` if on another thread.

[skip]

#### Parameters

object | A UDisksManager. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none]

### udisks_manager_dup_version ()

    gchar *
    udisks_manager_dup_version (UDisksManager *object);

Gets a copy of the "Version" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksManager. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full]

### udisks_manager_set_version ()

    void
    udisks_manager_set_version (UDisksManager *object,
                                const gchar *value);

Sets the "Version" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksManager. |
value | The value to set. |

### udisks_manager_call_loop_setup ()

    void
    udisks_manager_call_loop_setup (UDisksManager *proxy,
                                    GVariant *arg_fd,
                                    GVariant *arg_options,
                                    GUnixFDList *fd_list,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `LoopSetup()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_manager_call_loop_setup_finish()` to get the result of the operation.

See `udisks_manager_call_loop_setup_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerProxy. |
arg_fd | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
fd_list | A GUnixFDList or `NULL`. | [allow-none]
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_manager_call_loop_setup_finish ()

    gboolean
    udisks_manager_call_loop_setup_finish (UDisksManager *proxy,
                                           gchar **out_resulting_device,
                                           GUnixFDList **out_fd_list,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an operation started with `udisks_manager_call_loop_setup()`.

#### Parameters

proxy | A UDisksManagerProxy. |
out_resulting_device | Return location for return parameter or `NULL` to ignore. | [out]
out_fd_list | Return location for a GUnixFDList or `NULL`. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_call_loop_setup()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_manager_call_loop_setup_sync ()

    gboolean
    udisks_manager_call_loop_setup_sync (UDisksManager *proxy,
                                         GVariant *arg_fd,
                                         GVariant *arg_options,
                                         GUnixFDList *fd_list,
                                         gchar **out_resulting_device,
                                         GUnixFDList **out_fd_list,
                                         GCancellable *cancellable,
                                         GError **error);

Synchronously invokes the `LoopSetup()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_call_loop_setup()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerProxy. |
arg_fd | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
fd_list | A GUnixFDList or `NULL`. | [allow-none]
out_resulting_device | Return location for return parameter or `NULL` to ignore. | [out]
out_fd_list | Return location for a GUnixFDList or `NULL`. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_manager_complete_loop_setup ()

    void
    udisks_manager_complete_loop_setup (UDisksManager *object,
                                        GDBusMethodInvocation *invocation,
                                        GUnixFDList *fd_list,
                                        const gchar *resulting_device);

Helper function used in service implementations to finish handling invocations of the `LoopSetup()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManager. |
invocation | A GDBusMethodInvocation. | [transfer full]
fd_list | A GUnixFDList or `NULL`. | [allow-none]
resulting_device | Parameter to return. |

### udisks_manager_call_mdraid_create ()

    void
    udisks_manager_call_mdraid_create (UDisksManager *proxy,
                                       const gchar *const *arg_blocks,
                                       const gchar *arg_level,
                                       const gchar *arg_name,
                                       guint64 arg_chunk,
                                       GVariant *arg_options,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously invokes the `MDRaidCreate()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_manager_call_mdraid_create_finish()` to get the result of the operation.

See `udisks_manager_call_mdraid_create_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerProxy. |
arg_blocks | Argument to pass with the method invocation. |
arg_level | Argument to pass with the method invocation. |
arg_name | Argument to pass with the method invocation. |
arg_chunk | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_manager_call_mdraid_create_finish ()

    gboolean
    udisks_manager_call_mdraid_create_finish
                                   (UDisksManager *proxy,
                                    gchar **out_resulting_array,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_call_mdraid_create()`.

#### Parameters

proxy | A UDisksManagerProxy. |
out_resulting_array | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_call_mdraid_create()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_manager_call_mdraid_create_sync ()

    gboolean
    udisks_manager_call_mdraid_create_sync
                                   (UDisksManager *proxy,
                                    const gchar *const *arg_blocks,
                                    const gchar *arg_level,
                                    const gchar *arg_name,
                                    guint64 arg_chunk,
                                    GVariant *arg_options,
                                    gchar **out_resulting_array,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `MDRaidCreate()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_call_mdraid_create()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerProxy. |
arg_blocks | Argument to pass with the method invocation. |
arg_level | Argument to pass with the method invocation. |
arg_name | Argument to pass with the method invocation. |
arg_chunk | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
out_resulting_array | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.0.0

### udisks_manager_complete_mdraid_create ()

    void
    udisks_manager_complete_mdraid_create (UDisksManager *object,
                                           GDBusMethodInvocation *invocation,
                                           const gchar *resulting_array);

Helper function used in service implementations to finish handling invocations of the `MDRaidCreate()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManager. |
invocation | A GDBusMethodInvocation. | [transfer full]
resulting_array | Parameter to return. |

Since: 2.0.0

### udisks_manager_proxy_new ()

    void
    udisks_manager_proxy_new (GDBusConnection *connection,
                              GDBusProxyFlags flags,
                              const gchar *name,
                              const gchar *object_path,
                              GCancellable *cancellable,
                              GAsyncReadyCallback callback,
                              gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Manager. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_manager_proxy_new_finish()` to get the result of the operation.

See `udisks_manager_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_manager_proxy_new_finish ()

    UDisksManager *
    udisks_manager_proxy_new_finish (GAsyncResult *res,
                                     GError **error);

Finishes an operation started with `udisks_manager_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerProxy]

### udisks_manager_proxy_new_sync ()

    UDisksManager *
    udisks_manager_proxy_new_sync (GDBusConnection *connection,
                                   GDBusProxyFlags flags,
                                   const gchar *name,
                                   const gchar *object_path,
                                   GCancellable *cancellable,
                                   GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Manager. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_manager_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerProxy]

### udisks_manager_proxy_new_for_bus ()

    void
    udisks_manager_proxy_new_for_bus (GBusType bus_type,
                                      GDBusProxyFlags flags,
                                      const gchar *name,
                                      const gchar *object_path,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Like `udisks_manager_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_manager_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_manager_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_manager_proxy_new_for_bus_finish ()

    UDisksManager *
    udisks_manager_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerProxy]

### udisks_manager_proxy_new_for_bus_sync ()

    UDisksManager *
    udisks_manager_proxy_new_for_bus_sync (GBusType bus_type,
                                           GDBusProxyFlags flags,
                                           const gchar *name,
                                           const gchar *object_path,
                                           GCancellable *cancellable,
                                           GError **error);

Like `udisks_manager_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_manager_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerProxy]

### udisks_manager_skeleton_new ()

    UDisksManager *
    udisks_manager_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Manager.

#### Returns

The skeleton object.

[transfer full][type UDisksManagerSkeleton]

### udisks_manager_call_enable_modules ()

    void
    udisks_manager_call_enable_modules (UDisksManager *proxy,
                                        gboolean arg_enable,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously invokes the `EnableModules()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_manager_call_enable_modules_finish()` to get the result of the operation.

See `udisks_manager_call_enable_modules_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerProxy. |
arg_enable | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### udisks_manager_call_enable_modules_finish ()

    gboolean
    udisks_manager_call_enable_modules_finish
                                   (UDisksManager *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_call_enable_modules()`.

#### Parameters

proxy | A UDisksManagerProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_call_enable_modules()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_manager_call_enable_modules_sync ()

    gboolean
    udisks_manager_call_enable_modules_sync
                                   (UDisksManager *proxy,
                                    gboolean arg_enable,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `EnableModules()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_call_enable_modules()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerProxy. |
arg_enable | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### udisks_manager_complete_enable_modules ()

    void
    udisks_manager_complete_enable_modules
                                   (UDisksManager *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `EnableModules()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManager. |
invocation | A GDBusMethodInvocation. | [transfer full]

## Types and Values

### UDisksManager

    typedef struct _UDisksManager UDisksManager;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Manager.

### struct UDisksManagerIface

    struct UDisksManagerIface {
      GTypeInterface parent_iface;

      gboolean (*handle_enable_modules) (
        UDisksManager *object,
        GDBusMethodInvocation *invocation,
        gboolean arg_enable);

      gboolean (*handle_loop_setup) (
        UDisksManager *object,
        GDBusMethodInvocation *invocation,
        GUnixFDList *fd_list,
        GVariant *arg_fd,
        GVariant *arg_options);

      const gchar *const * (*get_supported_filesystems) (UDisksManager *object);

      const gchar * (*get_version) (UDisksManager *object);

      gboolean (*handle_mdraid_create) (
        UDisksManager *object,
        GDBusMethodInvocation *invocation,
        const gchar *const *arg_blocks,
        const gchar *arg_level,
        const gchar *arg_name,
        guint64 arg_chunk,
        GVariant *arg_options);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.Manager.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_enable_modules` () | Handler for the “handle-enable-modules” signal. |
`handle_loop_setup` () | Handler for the “handle-loop-setup” signal. |
`get_supported_filesystems` () | Getter for the “supported-filesystems” property. |
`get_version` () | Getter for the “version” property. |
`handle_mdraid_create` () | Handler for the “handle-mdraid-create” signal. |

### struct UDisksManagerProxy

    struct UDisksManagerProxy;

The UDisksManagerProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksManagerProxyClass

    struct UDisksManagerProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksManagerProxy.

#### Members

### struct UDisksManagerSkeleton

    struct UDisksManagerSkeleton;

The UDisksManagerSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksManagerSkeletonClass

    struct UDisksManagerSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksManagerSkeleton.

#### Members

## Property Details

### The `“supported-filesystems”` property

      “supported-filesystems”    GStrv

Represents the D-Bus property "SupportedFilesystems".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

### The `“version”` property

      “version”                  gchar *

Represents the D-Bus property "Version".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“handle-enable-modules”` signal

    gboolean
    user_function (UDisksManager         *object,
                   GDBusMethodInvocation *invocation,
                   gboolean               arg_enable,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `EnableModules()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_complete_enable_modules()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksManager. |
invocation | A GDBusMethodInvocation. |
arg_enable | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-loop-setup”` signal

    gboolean
    user_function (UDisksManager         *object,
                   GDBusMethodInvocation *invocation,
                   GUnixFDList           *fd_list,
                   GVariant              *arg_fd,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `LoopSetup()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_complete_loop_setup()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksManager. |
invocation | A GDBusMethodInvocation. |
fd_list | A GUnixFDList or `NULL`. | [allow-none]
arg_fd | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-mdraid-create”` signal

    gboolean
    user_function (UDisksManager         *object,
                   GDBusMethodInvocation *invocation,
                   GStrv                  arg_blocks,
                   gchar                 *arg_level,
                   gchar                 *arg_name,
                   guint64                arg_chunk,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `MDRaidCreate()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_complete_mdraid_create()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksManager. |
invocation | A GDBusMethodInvocation. |
arg_blocks | Argument passed by remote caller. |
arg_level | Argument passed by remote caller. |
arg_name | Argument passed by remote caller. |
arg_chunk | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.0.0